Range-v3 Range algorithms, views, and actions for the Standard Library |

Instances and minimal complete definitions | Public Member Functions | List of all members
ranges::chunk_view_< Rng, IsForwardRange > Struct Template Reference
Views
Inheritance diagram for ranges::chunk_view_< Rng, IsForwardRange >:

## Public Member Functions
constexpr | chunk_view_ (Rng rng, range_difference_t< Rng > n)
constexpr auto | size ()
constexpr auto | size () const
Public Member Functions inherited from ranges::view_adaptor< chunk_view_< Rng, IsForwardRange >, Rng, is_finite< Rng >::value ? finite :range_cardinality< Rng >::value >
constexpr base_range_t const & | base () const noexcept
| This is an overloaded member function, provided for convenience. It differs from the above function only in what argument(s) it accepts.
constexpr base_range_t & | base () noexcept
view_adaptor & | operator= (view_adaptor &&)=default
view_adaptor & | operator= (view_adaptor const &)=default
constexpr | view_adaptor (Rng &&rng)
| view_adaptor (view_adaptor &&)=default
| view_adaptor (view_adaptor const &)=default

## Member Function Documentation

## ◆ size() [1/2]

template<typename Rng , bool IsForwardRange>

constexpr auto ranges::chunk_view_< Rng, IsForwardRange >::size | ( |  | ) |
| constexpr

Precondition
  requires `sized_range<Rng>`

## ◆ size() [2/2]

template<typename Rng , bool IsForwardRange>

constexpr auto ranges::chunk_view_< Rng, IsForwardRange >::size | ( |  | ) | const
| constexpr

Precondition
  requires `sized_range<Rng const>`